﻿@model Tuple<ARGNSCostSheetView, List<string>, UsersSettingView>
@{
    ViewBag.Title = "_CostSheet";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}

@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var WhItems = [];
    var DistrRuleItems = [];
    $.ajax({
        url: '/PLM/CostSheet/_GetWarehouseList',
        type: 'POST',
        data: {},
        traditional: true,
        cache: false,
        dataType: 'json',
        success: function (data) {
            $.each(data, function (key) {
                WhItems.push({
                    value: data[key].Value,
                    label: data[key].Text
                });
            });
        }, error: function (xhr) {
            alert(xhr.status);

        },
    });
    $.ajax({
        url: '/PLM/CostSheet/_GetDistributionRuleList',
        type: 'POST',
        data: {},
        traditional: true,
        cache: false,
        dataType: 'json',
        success: function (data) {
            $.each(data, function (key) {

                DistrRuleItems.push({
                    value: data[key].Value,
                    label: data[key].Text
                });

            });
        }, error: function (xhr) {
            alert(xhr.status);

        },
    });
</script>
<h1 class="page-header">@CS.CostSheet</h1>

<div class="row">
    <!--col derecha-->
    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <h3 class="panel-title">@CS.CostSheet</h3>
        </div>
        <div class="panel-body">
            <!--col1-->
            <div class="col-md-6 col-sm-6 col-xs-12">
                <div class="form-group">
                    <label class="col-md-4 control-label">@CS.ModelCode</label>
                    <div class="col-md-8" style="display: inline-flex">
                        @Html.TextBoxFor(c => c.Item1.U_ModCode, new { @Id = "U_ModCode", @Name = "U_ModCode", @readonly = true, @placeholder = @CS.ModelCode, @class = "form-control", @style = (string.IsNullOrEmpty(Model.Item1.U_ModCode) ? "margin-right: 5px;" : "") })
                        @if (string.IsNullOrEmpty(Model.Item1.U_ModCode))
                        {
                            <button type="button" class="btn btn-primary btn-xs col-md-2" data-toggle="modal" data-target="#ModelTemplate"><span class="glyphicon glyphicon-search"></span></button>
                        }
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-4 control-label">@CS.CostSheetCode</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.Item1.Code, new { @Id = "Code", @Name = "Code", @readonly = true, @placeholder = @CS.CostSheetInternalCode, @class = "form-control" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-4 control-label">@CS.CostSheetCode</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.Item1.Name, new { @Id = "Name", @Name = "Name", @placeholder = @CS.CostSheetCode, @class = "form-control" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-4 control-label">@CS.Currency </label>
                    <div class="col-md-8">
                        @Html.TextBox("U_Currency", (!string.IsNullOrEmpty(Model.Item1.U_Currency) ? Model.Item1.U_Currency : Model.Item1.LocalCurrency ) , new { @Id = "U_Currency", @Name = "U_Currency", @placeholder = @CS.Currency, @class = "form-control", @readonly = true })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-4 control-label">@CS.Description  </label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.Item1.U_Description, new { @Id = "U_Description", @Name = "U_Description", @placeholder = @CS.Description, @class = "form-control" })
                    </div>
                </div>
            </div>
        </div>
    </div>
    @Html.HiddenFor(c => c.Item1.DocEntry, new { @Id = "DocEntry", @Name = "DocEntry" })
    <input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />
</div>

<div class="row">
    <ul class="nav nav-tabs" role="tablist">
        <li class="active"><a href="#TabMaterial" role="tab" data-toggle="tab">@CS.Components </a></li>
        <li><a href="#TabOperation" role="tab" data-toggle="tab">@CS.Operations</a></li>
        <li><a href="#TabSchema" role="tab" data-toggle="tab">@CS.Schemas</a></li>
        <li><a href="#TabPattern" role="tab" data-toggle="tab">@CS.Patterns</a></li>
        <li><a href="#TabSummary" role="tab" data-toggle="tab">@CS.Summary</a></li>
    </ul>
    <div id="TabContent" class="tab-content">
        <div id="divpartil">
            <div class="alert alert-danger" id="alertRates" role="alert">
                @CS.RatesError
            </div>
        </div>
        <!--Tab Materials-->
        <div class="tab-pane fade active in" id="TabMaterial">
            <div class="panel-body">
                <div class="table-responsive tableItemsDocuments">
                    <table class="table table-striped" id="TableMaterials">
                        <thead>
                            <tr>
                                <th>&nbsp;</th>
                                <th>@MA.ItemCode</th>
                                <th>@MA.ItemDescription</th>
                                <th>@MA.Quantity</th>
                                <th>CxT</th>
                                <th>CxGT</th>
                                <th>CxS</th>
                                <th>CxC</th>
                                <th>@MA.UoM</th>
                                <th>@MA.Whse</th>
                                <th>@MA.DistRule</th>
                                <th>@MA.IM</th>
                                <th>@MA.PL</th>
                                <th>@MA.Currency</th>
                                <th>@MA.UnitPrice</th>
                                <th>Total</th>
                                <th>@MA.PreferredVendor</th>
                                <th>@MA.Remarks</th>
                                <th>@MA.TreeType</th>
                                @{
                                    if (Model.Item1.mCostSheetUDF.ListUDFMaterial.Count() > 0)
                                    {
                                        foreach (var DictRow in Model.Item1.mCostSheetUDF.ListUDFMaterial.OrderBy(c => c.UDFName))
                                        {
                                            <th><strong>@DictRow.UDFDesc</strong></th>
                                        }
                                    }
                                }
                            </tr>
                        </thead>
                        <tbody>
                            @if (Model.Item1.ListMaterial != null)
                            {
                                foreach (ARGNSCSMaterial item in Model.Item1.ListMaterial)
                                {
                                    @Html.Partial("_RowMaterial", Tuple.Create(item, Model.Item3, Model.Item1.CostSheetCombo))
                                }
                            }
                        </tbody>
                    </table>
                </div>
                <div class="clearfix" style="height:10px;"></div>
                <div class="divider"></div>
                <button onclick="AddRow('TableMaterials', 'Material')" class="btn btn-success btn-lg btn_green"> @CS.AR</button>
            </div>
            <div class="clearfix"></div>
        </div>

        <!--Tab Operations-->
        <div class="tab-pane fade" id="TabOperation">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <label class="col-md-2 col-sm-12 col-xs-12 control-label">@CS.OperationTemplate</label>
                        <div class="col-md-6 col-sm-8 col-xs-8 ">
                            <input readonly="readonly" name="OTm" class="form-control" id="OTm" type="text" value="@Model.Item1.U_OTCode" placeholder="@CS.OperationTemplate">
                        </div>
                        <button type="button" class="btn btn-primary btn-xs col-md-2 col-sm-4 col-xs-4 " data-toggle="modal" data-target="#ModalOPTemplate"><span class="glyphicon glyphicon-search"></span></button>
                    </div>
                </div>
                <div class="divider"></div>


                    <div class="table-responsive tableItemsDocuments col-md-12 col-sm-12 col-xs-12">
                        <table class="table table-striped" id="TableOperations">
                            <thead>
                                <tr>
                                    <th>@OP.Code</th>
                                    <th>@OP.Description</th>
                                    <th>@OP.Quantity</th>
                                    <th>@OP.UoM</th>
                                    <th>@MA.PL</th>
                                    <th>@OP.Currency</th>
                                    <th>@OP.Price</th>
                                    <th>@OP.Total</th>
                                    @{
                                        if (Model.Item1.mCostSheetUDF.ListUDFOperation.Count() > 0)
                                        {
                                            foreach (var DictRow in Model.Item1.mCostSheetUDF.ListUDFOperation.OrderBy(c => c.UDFName))
                                            {
                                                <th><strong>@DictRow.UDFDesc</strong></th>
                                            }
                                        }
                                    }
                                </tr>
                            </thead>
                            <tbody id="TableOperTemplateBody">
                                @if (Model.Item1.ListOperation != null)
                                {
                                    foreach (ARGNSCSOperation item in Model.Item1.ListOperation)
                                    {
                                        @Html.Partial("_RowOperation", Tuple.Create(item, Model.Item1.CostSheetCombo))
                                    }
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
            <div class="clearfix"></div>
        </div>

        <!--Tab Schemas-->
        <div class="tab-pane fade" id="TabSchema">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <label class="col-md-2 col-sm-12 col-xs-12 control-label">@CS.CostSchema</label>
                        <div class="col-md-6 col-sm-8 col-xs-8 ">
                            <input readonly="readonly" class="form-control" id="Cst" type="text" value="@Model.Item1.U_SchCode" placeholder="@CS.CostSchema">
                        </div>
                        <button type="button" class="btn btn-primary btn-xs col-md-2 col-sm-4 col-xs-4" data-toggle="modal" data-target="#ModalSchema"><span class="glyphicon glyphicon-search"></span></button>
                    </div>
                </div>

                <div class="divider"></div>
                <div class="table-responsive tableItemsDocuments col-md-12 col-sm-12 col-xs-12">
                    <table class="table table-striped" id="TableSchemas">
                        <thead>
                            <tr>
                                <th>@SCH.Code</th>
                                <th>@SCH.Description</th>
                                <th>%</th>
                                <th>@MA.PL</th>
                                <th>@SCH.Currency </th>
                                <th>@SCH.Amount</th>
                                @{
                                    if (Model.Item1.mCostSheetUDF.ListUDFSchema.Count() > 0)
                                    {
                                        foreach (var DictRow in Model.Item1.mCostSheetUDF.ListUDFSchema.OrderBy(c => c.UDFName))
                                        {
                                            <th><strong>@DictRow.UDFDesc</strong></th>
                                        }
                                    }
                                }
                            </tr>
                        </thead>
                        <tbody id="TableSchemasBody">
                            @if (Model.Item1.ListSchema != null)
                            {
                                foreach (ARGNSCSSchema item in Model.Item1.ListSchema)
                                {
                                    @Html.Partial("_RowSchema", Tuple.Create(item, Model.Item1.CostSheetCombo))
                                }
                            }
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>

        <!--Tab Patterns-->
        <div class="tab-pane fade" id="TabPattern">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <label class="col-md-2 col-sm-12 col-xs-12 control-label">@CS.PT</label>
                        <div class="col-md-6 col-sm-8 col-xs-8 ">
                            <input readonly="readonly" class="form-control" id="PatternTempCode" type="text" value="@Model.Item1.U_CodeTmpl" placeholder="@CS.PT">
                        </div>
                        <button type="button" class="btn btn-primary btn-xs col-md-2 col-sm-4 col-xs-4" data-toggle="modal" data-target="#ModalPattern"><span class="glyphicon glyphicon-search"></span></button>
                    </div>
                </div>

                <div class="divider"></div>

                <div class="table-responsive tableItemsDocuments col-md-12 col-sm-12 col-xs-12">
                    <table class="table table-striped" id="TablePattern">
                        <thead>
                            <tr>
                                <th>@CS.PC</th>
                                <th>@SCH.Description</th>
                                <th>@MA.ItemCode</th>
                                <th>@MA.ItemDescription</th>
                                <th>@MA.Quantity</th>
                                <th>@MA.UoM</th>
                                <th>@CS.PQ</th>
                                @{
                                    if (Model.Item1.mCostSheetUDF.ListUDFPattern.Count() > 0)
                                    {
                                        foreach (var DictRow in Model.Item1.mCostSheetUDF.ListUDFPattern.OrderBy(c => c.UDFName))
                                        {
                                            <th><strong>@DictRow.UDFDesc</strong></th>
                                        }
                                    }
                                }
                            </tr>
                        </thead>
                        <tbody id="TablePatternBody">
                            @if (Model.Item1.ListSchema != null)
                            {
                                foreach (ARGNSCSPatterns item in Model.Item1.ListPattern)
                                {
                                    @Html.Partial("_RowPattern", Tuple.Create(item, Model.Item1.CostSheetCombo))
                                }
                            }
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>

        <!--Tab Summary-->
        <div class="tab-pane fade" id="TabSummary">
            <div class="panel-body">
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="form-group">
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.PP</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_PurchPrice" type="number" value="@(Model.Item1.U_PurchPrice != null ? Math.Round((decimal)Model.Item1.U_PurchPrice, 2).ToString() : "")" placeholder="@CS.PP" onchange="ChangeValueSummary();">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.Materials</label>
                            <div class="col-md-8">
                                <input readonly="readonly" class="form-control" id="Summary_TMaterials" type="number" value="@(Model.Item1.U_TMaterials != null ? Math.Round((decimal)Model.Item1.U_TMaterials, 2).ToString() : "")" placeholder="@CS.Materials" onchange="ChangeValueSummary();">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.Operations</label>
                            <div class="col-md-8">
                                <input readonly="readonly" class="form-control" id="Summary_TOperations" type="number" value="@(Model.Item1.U_TOperations != null ? Math.Round((decimal)Model.Item1.U_TOperations, 2).ToString() : "")" placeholder="@CS.Operations" onchange="ChangeValueSummary();">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.IC</label>
                            <div class="col-md-8">
                                <input readonly="readonly" class="form-control" id="Summary_IndrCost" type="number" value="@(Model.Item1.U_IndrCost != null ? Math.Round((decimal)Model.Item1.U_IndrCost, 2).ToString() : "")" placeholder="@CS.IC" onchange="ChangeValueSummary();">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.TC</label>
                            <div class="col-md-8">
                                <input readonly="readonly" class="form-control" id="Summary_TCost" type="number" value="@(Model.Item1.U_TCost != null ? Math.Round((decimal)Model.Item1.U_TCost, 2).ToString() : "")" placeholder="@CS.TC">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="form-group">
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.Duty</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_Duty" type="number" value="@(Model.Item1.U_Duty != null ? Math.Round((decimal)Model.Item1.U_Duty, 2).ToString() : "")" placeholder="@CS.Duty">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.IT</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_IntTransp" type="number" value="@(Model.Item1.U_IntTransp != null ? Math.Round((decimal)Model.Item1.U_IntTransp, 2).ToString() : "")" placeholder="@CS.IT">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.Freight</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_Freight" type="number" value="@(Model.Item1.U_Freight != null ? Math.Round((decimal)Model.Item1.U_Freight, 2).ToString() : "")" placeholder="@CS.Freight">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.Margin %</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_Margin" type="number" value="@(Model.Item1.U_Margin != null ? Math.Round((decimal)Model.Item1.U_Margin, 2).ToString() : "")" placeholder="@CS.Margin %">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.DDP</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_DDP" type="number" value="@(Model.Item1.U_DDP != null ? Math.Round((decimal)Model.Item1.U_DDP, 2).ToString() : "")" placeholder="@CS.DDP">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="form-group">
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.Cost %</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_CostPercent" type="number" value="@(Model.Item1.U_CostPercent != null ? Math.Round((decimal)Model.Item1.U_CostPercent, 2).ToString() : "")" placeholder="@CS.Cost %" onchange="ChangeValueSummary();">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.Sales %</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_SlsPercent" type="number" value="@(Model.Item1.U_SlsPercent != null ? Math.Round((decimal)Model.Item1.U_SlsPercent, 2).ToString() : "")" placeholder="@CS.Sales %" onchange="ChangeValueSummary();">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.SF</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_StrFactor" type="number" value="@(Model.Item1.U_StrFactor != null ? Math.Round((decimal)Model.Item1.U_StrFactor, 2).ToString() : "")" placeholder="@CS.SF" onchange="ChangeValueSummary();">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="form-group">
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.Margin</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_TMargin" type="number" value="@(Model.Item1.U_TMargin != null ? Math.Round((decimal)Model.Item1.U_TMargin, 2).ToString() : "")" placeholder="@CS.Margin">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">CIF</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_CIF" type="number" value="@(Model.Item1.U_CIF != null ? Math.Round((decimal)Model.Item1.U_CIF, 2).ToString() : "")" placeholder="CIF">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="form-group">
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.SP</label>
                            <div class="col-md-8">
                                <input readonly="readonly" class="form-control" id="Summary_SP" type="number" placeholder="@CS.SP">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.FP</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_FPrice" type="number" value="@(Model.Item1.U_FPrice != null ? Math.Round((decimal)Model.Item1.U_FPrice, 2).ToString() : "")" placeholder="@CS.FP">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="form-group">
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.UT 1</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_UserText1" type="text" value="@Model.Item1.U_UserText1" placeholder="@CS.UT 1">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.UT 2</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_UserText2" type="text" value="@Model.Item1.U_UserText2" placeholder="@CS.UT 2">
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@CS.UT 3</label>
                            <div class="col-md-8">
                                <input class="form-control" id="Summary_UserText3" type="text" value="@Model.Item1.U_UserText3" placeholder="@CS.UT 3">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<div class="alert alert-success" id="UpdateCorrectly" role="alert">
    <strong>@CS.CSUpdateMessage</strong>
</div>


<div class="but_blok_footer">
    <button id="btnOK" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
    @{
        string controllerName = ViewBag.controllerName;
        switch (controllerName)
        {
            case "PDM":
                <a href='@Url.Action("ActionPDM", "PDM", new { @ActionPDM = "UpdateModel", @ModelCode = Model.Item1.ModeDBCode, @pU_ModCode = Model.Item1.U_ModCode, @From = "List" })' class="btn btn-lg btn-default pull-right">
                    <span class="glyphicon glyphicon-arrow-left"></span>&nbsp;@CS.Back
                </a>
                break;
            case "MyCostSheet":
                <a href='@Url.Action("MyCostSheet", "MyStyles")' class="btn btn-lg btn-default pull-right">
                    <span class="glyphicon glyphicon-arrow-left"></span>&nbsp;@CS.Back
                </a>
                break;
            case "CostSheet":
                <a href='@Url.Action("Index", "CostSheet")' class="btn btn-lg btn-default pull-right">
                    <span class="glyphicon glyphicon-arrow-left"></span>&nbsp;@CS.Back
                </a>
                break;
        }
    }


    @if (Model.Item2.Count > 0)
    {
        @Html.Partial("_CRButton", Tuple.Create((object)Model.Item1, Model.Item2));
    }
</div>


    @*Modal Model*@
    <div class="modal fade" id="ModelTemplate" tabindex="-1" role="dialog" aria-labelledby="ModelTemplateLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button class="close" aria-hidden="true" type="button" data-dismiss="modal">×</button>
                    <h4 class="modal-title" id="ModelTemplateLabel">@PDM.Search</h4>
                </div>
                <div class="bs-example">
                    <div class="col-md-12">
                        <div class="form-group">
                            @Html.TextBox("txtCodeModel", null, new { @Id = "txtCodeModel", @placeholder = @PDM.Code, @class = "form-control" })
                        </div>

                        <div class="form-group">
                            @Html.TextBox("txtNameModel", null, new { @Id = "txtNameModel", @placeholder = @PDM.Desc, @class = "form-control" })
                        </div>

                        <div class="form-group">
                            @Html.TextBox("txtSeasonModel", null, new { @Id = "txtSeasonModel", @placeholder = @PDM.Season, @class = "form-control" })
                        </div>

                        <div class="form-group">
                            @Html.TextBox("txtGroupModel", null, new { @Id = "txtGroupModel", @placeholder = @PDM.PG, @class = "form-control" })
                        </div>

                        <div class="form-group">
                            @Html.TextBox("txtBrand", null, new { @Id = "txtBrand", @placeholder = @PDM.Brand, @class = "form-control" })
                        </div>

                        <div class="form-group">
                            @Html.TextBox("txtCollection", null, new { @Id = "txtCollection", @placeholder = @PDM.Coll, @class = "form-control" })
                        </div>

                        <div class="form-group">
                            @Html.TextBox("txtSubCollection", null, new { @Id = "txtSubCollection", @placeholder = @PDM.SubColl, @class = "form-control" })
                        </div>


                        <div class="form-group">
                            <button type="button" id="btnSearchModelList" class="btn btn-primary btn-ls pull-right " data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PDM.Search</button>
                        </div>
                    </div>
                    @*<div class="col-md-4">
                            <input name="regular" class="form-control" type="text" id="txtSearchModel" placeholder="@PDM.Search">
                        </div>*@
                    @*<div class="col-md-2 pull-right">
                        <button class="btn btn-success btn-ls pull-right " id="SearchModel" onclick="fut_modal_body($('.modal'))" type="button" data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PDM.Search</button>
                    </div>*@
                </div>
                <div class="panel-body limited_height">
                    <div id="ModalModelList">
                        @Html.Partial("_ModelList", new List<ModelDescView>())
                    </div>
                </div>
            </div>
        </div>
    </div>

    @*Modal Items List*@
    <div class="modal fade" id="ModalItems" tabindex="-1" role="dialog" aria-labelledby="ModalItemsLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="ModalItemsLabel">@SaleOrders.Search </h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-9">
                                    @Html.TextBox("UDF_Code", null, new { @Id = "UDF_Code", @Name = "UDF_Code", @placeholder = "Code", @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-9">
                                    @Html.TextBox("UDF_Name", null, new { @Id = "UDF_Name", @Name = "UDF_Name", @placeholder = "Name", @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        @if (Model.Item1.mCostSheetUDF.ListUDFOITM.Count() > 0)
                        {
                            <div class="col-md-8 limitador_udf">
                                @{
                                    foreach (var DictRow in Model.Item1.mCostSheetUDF.ListUDFOITM)
                                    {
                                        if (DictRow.ListUFD1.Count > 0)
                                        {
                                            <div class="row">
                                                <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                                <div class="col-md-10">
                                                    <select class="form-control" id="SearchItemUDF_@DictRow.UDFName" name="@DictRow.UDFName">
                                                        <option value="">Select @DictRow.UDFDesc</option>
                                                        @{
                                                            foreach (var item in DictRow.ListUFD1)
                                                            {
                                                                <option value="@item.FldValue">@item.Descr</option>
                                                            }
                                                        }
                                                    </select>
                                                </div>
                                            </div>
                                                            }
                                                            else
                                                            {
                                                                <div class="row">
                                                                    <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                                                    <div class="col-md-10">
                                                                        @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "SearchItemUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                                                                    </div>
                                                                </div>
                                                                }
                                                            }
                                }
                            </div>
                                                            }

                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchItems" onclick="fat_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right "><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                        </div>
                    </div>

                    <div class="panel-body udf_box_limitado" id="ModalItemsTable">
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>

    @*Modal Operation Template*@
    <div class="modal fade" id="ModalOPTemplate" tabindex="-1" role="dialog" aria-labelledby="ModalOPTemplateLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="ModalOPTemplateLabel">@SaleOrders.Search </h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-9">
                                    @Html.TextBox("CodeOperTemplate", null, new { @Id = "CodeOperTemplate", @Name = "CodeOperTemplate", @placeholder = "Code", @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-9">
                                    @Html.TextBox("NameOperTemplate", null, new { @Id = "NameOperTemplate", @Name = "NameOperTemplate", @placeholder = "Name", @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchOperTemplate" onclick="fat_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right "><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                        </div>
                    </div>
                    <div class="panel-body udf_box_limitado" id="ModalOPTemplateTable">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>

    @*Modal Schemas*@
    <div class="modal fade" id="ModalSchema" tabindex="-1" role="dialog" aria-labelledby="ModalSchemaLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="ModalSchemaLabel">@SaleOrders.Search </h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-9">
                                    @Html.TextBox("CodeSchema", null, new { @Id = "CodeSchema", @Name = "CodeSchema", @placeholder = "Code", @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-9">
                                    @Html.TextBox("NameSchema", null, new { @Id = "NameSchema", @Name = "NameSchema", @placeholder = "Name", @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchSchema" onclick="fat_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right "><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                        </div>
                    </div>
                    <div class="panel-body udf_box_limitado" id="ModalSchemaTable">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>

    @*Modal Patterns*@
    <div class="modal fade" id="ModalPattern" tabindex="-1" role="dialog" aria-labelledby="ModalPatternLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="ModalPatternLabel">@SaleOrders.Search </h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-9">
                                    @Html.TextBox("CodePattern", null, new { @Id = "CodePattern", @Name = "CodePattern", @placeholder = "Code", @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-9">
                                    @Html.TextBox("NamePattern", null, new { @Id = "NamePattern", @Name = "NamePattern", @placeholder = "Name", @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchPattern" onclick="fat_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right "><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                        </div>
                    </div>
                    <div class="panel-body udf_box_limitado" id="ModalPatternTable">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>

    @*Modal Items Pattern List*@
    <div class="modal fade" id="ModalItemsPattern" tabindex="-1" role="dialog" aria-labelledby="ModalItemsPatternLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="ModalItemsPatternLabel">@SaleOrders.Search </h4>
                </div>
                <div class="">
                    <div id="LoadItemsPattern" style=" text-align center ">
                        <img src="~/Content/img/Load.gif" />
                    </div>
                    <div class="panel-body udf_box_limitado" id="ModalItemsPatternTable">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>

    @Scripts.Render("~/bundles/CostSheet")
